/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let CalloutLayerDescription = /*@__PURE__*/ (() => {
    class CalloutLayerDescription extends AnnotationLayerDescription {
        get_type() {
            return "CalloutLayer";
        }
        constructor() {
            super();
            this.gh = false;
            this.g6 = 0;
            this.g4 = 0;
            this.g7 = 0;
            this.g5 = 0;
            this.ib = null;
            this.ig = null;
            this.ih = null;
            this.h9 = null;
            this.gj = false;
            this.ia = null;
            this.ge = null;
            this.h7 = null;
            this.ic = null;
            this.id = null;
            this.h6 = null;
            this.gd = null;
            this.gi = false;
            this.gn = false;
            this.gq = false;
            this.gm = false;
            this.go = false;
            this.gp = false;
            this.gr = false;
            this.h8 = null;
            this.ht = null;
            this.g3 = 0;
            this.gl = false;
            this.gk = false;
            this.hp = 0;
            this.h5 = null;
            this.h0 = null;
            this.hx = null;
            this.hu = null;
            this.hq = 0;
            this.h1 = null;
            this.hz = null;
            this.g9 = 0;
            this.hb = 0;
            this.ha = 0;
            this.g8 = 0;
            this.hv = null;
            this.hc = 0;
            this.hd = 0;
            this.ie = null;
            this.h4 = null;
            this.h2 = null;
            this.hw = null;
            this.hy = null;
            this.h3 = null;
        }
        get calloutExpandsAxisBufferEnabled() {
            return this.gh;
        }
        set calloutExpandsAxisBufferEnabled(a) {
            this.gh = a;
            this.g("CalloutExpandsAxisBufferEnabled");
        }
        get calloutExpandsAxisBufferMinHeight() {
            return this.g6;
        }
        set calloutExpandsAxisBufferMinHeight(a) {
            this.g6 = a;
            this.g("CalloutExpandsAxisBufferMinHeight");
        }
        get calloutExpandsAxisBufferMaxHeight() {
            return this.g4;
        }
        set calloutExpandsAxisBufferMaxHeight(a) {
            this.g4 = a;
            this.g("CalloutExpandsAxisBufferMaxHeight");
        }
        get calloutExpandsAxisBufferMinWidth() {
            return this.g7;
        }
        set calloutExpandsAxisBufferMinWidth(a) {
            this.g7 = a;
            this.g("CalloutExpandsAxisBufferMinWidth");
        }
        get calloutExpandsAxisBufferMaxWidth() {
            return this.g5;
        }
        set calloutExpandsAxisBufferMaxWidth(a) {
            this.g5 = a;
            this.g("CalloutExpandsAxisBufferMaxWidth");
        }
        get labelMemberPath() {
            return this.ib;
        }
        set labelMemberPath(a) {
            this.ib = a;
            this.g("LabelMemberPath");
        }
        get xMemberPath() {
            return this.ig;
        }
        set xMemberPath(a) {
            this.ig = a;
            this.g("XMemberPath");
        }
        get yMemberPath() {
            return this.ih;
        }
        set yMemberPath(a) {
            this.ih = a;
            this.g("YMemberPath");
        }
        get keyMemberPath() {
            return this.h9;
        }
        set keyMemberPath(a) {
            this.h9 = a;
            this.g("KeyMemberPath");
        }
        get isCalloutOffsettingEnabled() {
            return this.gj;
        }
        set isCalloutOffsettingEnabled(a) {
            this.gj = a;
            this.g("IsCalloutOffsettingEnabled");
        }
        get labelFormat() {
            return this.ia;
        }
        set labelFormat(a) {
            this.ia = a;
            this.g("LabelFormat");
        }
        get labelFormatSpecifiers() {
            return this.ge;
        }
        set labelFormatSpecifiers(a) {
            this.ge = a;
            this.g("LabelFormatSpecifiers");
        }
        get contentMemberPath() {
            return this.h7;
        }
        set contentMemberPath(a) {
            this.h7 = a;
            this.g("ContentMemberPath");
        }
        get targetSeriesName() {
            return this.ic;
        }
        set targetSeriesName(a) {
            this.ic = a;
            this.g("TargetSeriesName");
        }
        get targetSeriesRef() {
            return this.id;
        }
        set targetSeriesRef(a) {
            this.id = a;
            this.g("TargetSeriesRef");
        }
        get collisionChannel() {
            return this.h6;
        }
        set collisionChannel(a) {
            this.h6 = a;
            this.g("CollisionChannel");
        }
        get allowedPositions() {
            return this.gd;
        }
        set allowedPositions(a) {
            this.gd = a;
            this.g("AllowedPositions");
        }
        get isAutoCalloutBehaviorEnabled() {
            return this.gi;
        }
        set isAutoCalloutBehaviorEnabled(a) {
            this.gi = a;
            this.g("IsAutoCalloutBehaviorEnabled");
        }
        get useInterpolatedValueForAutoCalloutLabels() {
            return this.gn;
        }
        set useInterpolatedValueForAutoCalloutLabels(a) {
            this.gn = a;
            this.g("UseInterpolatedValueForAutoCalloutLabels");
        }
        get useSeriesColorForOutline() {
            return this.gq;
        }
        set useSeriesColorForOutline(a) {
            this.gq = a;
            this.g("UseSeriesColorForOutline");
        }
        get useAutoContrastingLabelColors() {
            return this.gm;
        }
        set useAutoContrastingLabelColors(a) {
            this.gm = a;
            this.g("UseAutoContrastingLabelColors");
        }
        get useItemColorForFill() {
            return this.go;
        }
        set useItemColorForFill(a) {
            this.go = a;
            this.g("UseItemColorForFill");
        }
        get useItemColorForOutline() {
            return this.gp;
        }
        set useItemColorForOutline(a) {
            this.gp = a;
            this.g("UseItemColorForOutline");
        }
        get useValueForAutoCalloutLabels() {
            return this.gr;
        }
        set useValueForAutoCalloutLabels(a) {
            this.gr = a;
            this.g("UseValueForAutoCalloutLabels");
        }
        get highlightedValueLabelMode() {
            return this.h8;
        }
        set highlightedValueLabelMode(a) {
            this.h8 = a;
            this.g("HighlightedValueLabelMode");
        }
        get autoCalloutVisibilityMode() {
            return this.ht;
        }
        set autoCalloutVisibilityMode(a) {
            this.ht = a;
            this.g("AutoCalloutVisibilityMode");
        }
        get calloutCornerRadius() {
            return this.g3;
        }
        set calloutCornerRadius(a) {
            this.g3 = a;
            this.g("CalloutCornerRadius");
        }
        get isCustomCalloutStyleEnabled() {
            return this.gl;
        }
        set isCustomCalloutStyleEnabled(a) {
            this.gl = a;
            this.g("IsCustomCalloutStyleEnabled");
        }
        get isCustomCalloutRenderStyleEnabled() {
            return this.gk;
        }
        set isCustomCalloutRenderStyleEnabled(a) {
            this.gk = a;
            this.g("IsCustomCalloutRenderStyleEnabled");
        }
        get autoCalloutLabelPrecision() {
            return this.hp;
        }
        set autoCalloutLabelPrecision(a) {
            this.hp = a;
            this.g("AutoCalloutLabelPrecision");
        }
        get calloutTextColor() {
            return this.h5;
        }
        set calloutTextColor(a) {
            this.h5 = a;
            this.g("CalloutTextColor");
        }
        get calloutLightTextColor() {
            return this.h0;
        }
        set calloutLightTextColor(a) {
            this.h0 = a;
            this.g("CalloutLightTextColor");
        }
        get calloutDarkTextColor() {
            return this.hx;
        }
        set calloutDarkTextColor(a) {
            this.hx = a;
            this.g("CalloutDarkTextColor");
        }
        get calloutBackground() {
            return this.hu;
        }
        set calloutBackground(a) {
            this.hu = a;
            this.g("CalloutBackground");
        }
        get calloutInterpolatedValuePrecision() {
            return this.hq;
        }
        set calloutInterpolatedValuePrecision(a) {
            this.hq = a;
            this.g("CalloutInterpolatedValuePrecision");
        }
        get calloutOutline() {
            return this.h1;
        }
        set calloutOutline(a) {
            this.h1 = a;
            this.g("CalloutOutline");
        }
        get calloutLeaderBrush() {
            return this.hz;
        }
        set calloutLeaderBrush(a) {
            this.hz = a;
            this.g("CalloutLeaderBrush");
        }
        get calloutPaddingLeft() {
            return this.g9;
        }
        set calloutPaddingLeft(a) {
            this.g9 = a;
            this.g("CalloutPaddingLeft");
        }
        get calloutPaddingTop() {
            return this.hb;
        }
        set calloutPaddingTop(a) {
            this.hb = a;
            this.g("CalloutPaddingTop");
        }
        get calloutPaddingRight() {
            return this.ha;
        }
        set calloutPaddingRight(a) {
            this.ha = a;
            this.g("CalloutPaddingRight");
        }
        get calloutPaddingBottom() {
            return this.g8;
        }
        set calloutPaddingBottom(a) {
            this.g8 = a;
            this.g("CalloutPaddingBottom");
        }
        get calloutCollisionMode() {
            return this.hv;
        }
        set calloutCollisionMode(a) {
            this.hv = a;
            this.g("CalloutCollisionMode");
        }
        get calloutPositionPadding() {
            return this.hc;
        }
        set calloutPositionPadding(a) {
            this.hc = a;
            this.g("CalloutPositionPadding");
        }
        get calloutStrokeThickness() {
            return this.hd;
        }
        set calloutStrokeThickness(a) {
            this.hd = a;
            this.g("CalloutStrokeThickness");
        }
        get textStyle() {
            return this.ie;
        }
        set textStyle(a) {
            this.ie = a;
            this.g("TextStyle");
        }
        get calloutStyleUpdatingRef() {
            return this.h4;
        }
        set calloutStyleUpdatingRef(a) {
            this.h4 = a;
            this.g("CalloutStyleUpdatingRef");
        }
        get calloutRenderStyleUpdatingRef() {
            return this.h2;
        }
        set calloutRenderStyleUpdatingRef(a) {
            this.h2 = a;
            this.g("CalloutRenderStyleUpdatingRef");
        }
        get calloutContentUpdatingRef() {
            return this.hw;
        }
        set calloutContentUpdatingRef(a) {
            this.hw = a;
            this.g("CalloutContentUpdatingRef");
        }
        get calloutLabelUpdatingRef() {
            return this.hy;
        }
        set calloutLabelUpdatingRef(a) {
            this.hy = a;
            this.g("CalloutLabelUpdatingRef");
        }
        get calloutSeriesSelectingRef() {
            return this.h3;
        }
        set calloutSeriesSelectingRef(a) {
            this.h3 = a;
            this.g("CalloutSeriesSelectingRef");
        }
    }
    CalloutLayerDescription.$t = /*@__PURE__*/ markType(CalloutLayerDescription, 'CalloutLayerDescription', AnnotationLayerDescription.$);
    return CalloutLayerDescription;
})();
